Index: contrib/Pallet/ActivityController.m
===================================================================
--- contrib/Pallet/ActivityController.m	(revision 65496)
+++ contrib/Pallet/ActivityController.m	(revision 72223)
@@ -9,4 +9,5 @@
 #import "ActivityController.h"
 
+BOOL errorReceived;
 
 @implementation ActivityController
@@ -72,4 +73,5 @@
     NSLog(@"GOT ERROR NOTIFICATION: %@", msg);
     //TODO: Display an alert
+	errorReceived=YES;
 }
 
